# PATCH /agent-ops/registry/:id

**Resource:** [Agent Ops](./agent-ops.md)  
**Scopes:** `agent-ops:write`  
**Write operation:** yes

Update an agent registry entry.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | string | yes | Agent registry UUID |
| `display_name` | body | string | no | Updated display name |
| `status` | body | string | no | active \| paused \| error \| disabled |
| `schedule` | body | string | no | New cron expression |
| `configuration` | body | object | no | Agent-specific settings (JSONB) |

## Response example

```json
{ "data": { "id": "880b909e-...", "status": "paused", "updated_at": "2026-05-19T07:30:00Z" } }
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`